---
- name: Postfix - render virtual aliases
  copy:
    dest: "{{ __glxclans_mailserver_postfix_virtual_alias_maps_file }}"
    content: |-
      {% for alias in glxclans_mailserver_virtual_aliases %}
      {{ alias.alias }} {{ alias.email }}
      {% endfor %}
  register: _render_virtual_alias

- name: Postfix - update virtual aliases db
  shell: >-
    postmap {{ __glxclans_mailserver_postfix_virtual_alias_maps }}
  when: _render_virtual_alias is changed
  notify: Restart postfix service

- name: Postfix - render virtual mailboxes
  copy:
    dest: "{{ __glxclans_mailserver_postfix_virtual_mailbox_maps_file }}"
    content: |-
      {% for alias in glxclans_mailserver_virtual_mailboxes %}
      {{ alias.email }} {{ alias.recipient }}
      {% endfor %}
  register: _render_virtual_mailboxes

- name: Postfix - update virtual mailboxes db
  shell: >-
    postmap {{ __glxclans_mailserver_postfix_virtual_mailbox_maps }}
  when: _render_virtual_mailboxes is changed
  notify: Restart postfix service
